GNOME Terminal brukermanual.
<<< Previous |  | Next >>>

# Kommandolinjeflagg

- `--background FARGE`

  Brukes til å spesifisere bakgrunnsfargen for terminalen ved oppstart. FARGE kan være på enhver form som aksepteres av vindussystemet.

- `--tclass `KLASSENAVN``

  Spesifiserer terminalklassen som brukes til å konfigurere terminalen ved oppstart.

- `--command `KMD`, -e `KMD``

  Kjører kommandoen `KMD` ved oppstart.

- `--execute `KMD ARG`, -x `KMD ARG``

  Utfører kommandoen `KMD` med argumentene `ARG` ved oppstart. Ingen argumenter utover disse vil bli tatt hensyn til av terminalen, denne oppførselen etterligner xterm -e.

- `--font `SKRIFTTYPE``

  Setter skrifttypen i terminalen til `SKRIFTTYPE`.

- `--foreground `FARGE``

  Setter forgrunnen i terminalen til `FARGE`.

- `--geometry `GEOMETRI``

  Spesifiserer geometrien for denne terminalen ved oppstart. Geometrien spesifiserer ønsket bredde og høyde i antall terminaltegn. For eksempel: `--geometry=80x40` vil opprette en terminal med åtti kolonner og førti linjer. Du kan også spesifisere plassering for terminalvinduet på skjermen; for eksempel: `--geometry=80x40+100+200` vil opprette et vindu som har sitt øverste venstre hjørne 100 piksler til høyre og 200 piksler ned fra skjermens øverste venstre hjørne, mens `--geometry=80x40+100-200` vil gi deg et vindu som har nederste venstre hjørne 100 piksler til høyre og 200 piksler opp fra skjermens nederste venstre hjørne.

- `--login`

  Lar `GNOME terminal` starte skallet i login modus (det vil kjøre alle dine initialiseringsskript for innlogging i dette modus).

- `--nologin`

  Får `GNOME terminal` til bare å starte et skall uten å kjøre noen påloggingsskript. Dette er standardvalget, med mindre du har valgt `Bruk --login som standard` i brukervalg-dialogen.

- `--noutmp`

  Indikerer at dette og assosierte skall ikke skal registreres i systemets database av brukere som er logget inn på maskinen.

- `--utmp`

  Indikerer at brukeren ønsker at denne terminalen skal registreres i systemets database av brukere som er logget inn på maskinen (utmp databasen). Dette er satt som standard.

- `--lastlog`

  Alltid opprett en lastlog oppføring for hver innlogget terminal.

- `--nolastlog`

  Ikke opprett en lastlog oppføring for hver innlogget terminal.

- `--title `TITTEL`, -t `TITTEL``

  Lar `GNOME terminal` bruke `TITTEL` til vindusoverskrift.

- `--termname `TERMNAVN``

  Gjør at `GNOME terminal` bruker `TERMNAVN` som verdi i `TERM` miljøvariabelen.

- `--start-factory-server`

  Prøv å starte TerminalFactory tjenesten for denne terminalen (se under).

- `--use-factory`

  Hvis det finnes en allerede kjørende terminalprosess som er startet med `--start-factory-server` flagget, så vil kommandoen gnome-terminal --use-factory opprette et nytt terminalvindu som eies av den eksisterende terminalprosessen. Det vil med andre ord ha samme effekt som å velge Fil->Ny terminal i den eksisterende terminalen.

  Hvis ingen TerminalFactory kjører har dette flagget ingen effekt.

Du kan bruke flere enn ett flagg samtidig: for eksempel, på en maskin som har den tekstbaserte nettleseren `Lynx` installert, vil gnome-terminal --title Web --commmand lynx åpne en `GNOME terminal` som starter opp `Lynx` og har en tittellinje som sier "Web".

<<< Previous | Home | Next >>>
Terminalklasser |  | Miljø